#ifndef JUEGO_H
#define JUEGO_H

#include "Lista.h"
#include "Nave.h"
#include "Pantalla.h"


#define VISTA_ARRIBA 2
#define VISTA_ADENTRO 1
#define VISTA_ATRAS 0
#define CANTIDAD_VISTAS 3

class Juego : public Pantalla {
public:
	Juego();
	Juego(int puntos, Nave * nave, int nivel);
	virtual void init();
	virtual void special(int key, int x, int y);
	virtual void keyboard(unsigned char key, int x, int y);
	virtual void display();
	virtual void timer();
	virtual void reshape(int w, int h);
	virtual void motion(int x, int y);
	virtual void mouse(int button, int state, int x, int y);
	Nave * nave;
	Lista * asteroides;
	Lista * balas;
	Lista * dust;
	int cantidadAsteroides;
	int puntos;
	bool pausa;
	int nivel;
	int worldW;
	int mouseX, mouseY;
	int width, height;
	int vista;
	GLuint skybox[6];
	GLuint mira;

};

#endif
